Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Responsable Java

    Quelle(s) version(s) de Java utilisez-vous principalement en 2015 ?
    Bonjour,

    Nous renouvelons l'initiative du sondage de la version de Java la plus utilisée par nos membres. Vous pouvez retrouver les précédents sondages ici : 2013, 2009 et 2008. Au dernier sondage, Java 7 était largement utilisé.

    Profitez-en pour apporter votre témoignage en précisant pour quelle version vous avez voté, les raisons de ce vote (avantages, inconvénients, contraintes, ...) ainsi que vos intentions pour le proche avenir. Par ailleurs, cela fait déjà presque deux ans que Java 8 est sorti, nous aimerions savoir s'il est couramment utilisé, ou pas.

    Quelques liens des différentes versions de Java :


    L'équipe Java
    Responsable Java de Developpez.com (Twitter et Facebook)
    Besoin d"un article/tutoriel/cours sur Java, consulter la page cours
    N'hésitez pas à consulter la FAQ Java et à poser vos questions sur les forums d'entraide Java
    --------
    Ingénieur de Recherche en informatique au LIAS / ISAE-ENSMA
    Page de Developpez.com : mbaron.developpez.com
    Twitter : www.twitter.com/mickaelbaron
    Blog : mickael-baron.fr
    LinkedIn : www.linkedin.com/in/mickaelbaron
    DBLP : dblp.uni-trier.de/pers/hd/b/Baron:Micka=euml=l

  2. #2
    Nouveau Candidat au Club
    lambda is cool
    je pense que c 'est logique que la plupart des devps attaquent java8

  3. #3
    Membre à l'essai
    contraintes....
    Malheureusement, encore beaucoup de contraintes dans les banques qui nous empêchent de monter en version rapidement...

  4. #4
    Membre éprouvé
    Une amie à moi travaille dans les systèmes informatiques bancaires (belges), elle a été diplômée il y a deux ans et travaille actuellement en Cobol

    Sinon je gère un projet personnel pour des étudiants, et j'ai développé pour ça l'an passé un framework fait en Java 8, que les étudiants sont obligés d'utiliser. J'y utilise certains concepts assez récents de Java (lambdas, méthodes par défaut dans les interfaces), mais l'étudiant peu investi n'a pas de raison de se frotter à de tels concepts, même si ça peut lui faciliter la vie et l'aider à comprendre comment fonctionne exactement ce qu'il fait.

  5. #5
    Membre éprouvé
    Java 7 principalement.

    Pourquoi ne pas monter, simplement car c'est la version standard supportée par la majorité de nos clients (banques et grosses institutions)

  6. #6
    Membre averti
    Java 6, parce que Android...

  7. #7
    Expert confirmé
    Citation Envoyé par Alvaten Voir le message
    Java 7 principalement.

    Pourquoi ne pas monter, simplement car c'est la version standard supportée par la majorité de nos clients (banques et grosses institutions)
    Java 5~7, pour les même raisons.

  8. #8
    Membre chevronné
    Java 6 au boulot (pas le choix), Java 8 chez moi...
    J'appelle "Point Traroth" le moment dans une discussion où quelqu'un parle des Bisounours. A partir de ce moment, toute discussion sérieuse devient impossible, puisque la légitimité d'une des parties pour exposer son point de vue est mise en cause. C'est juste un anathème, un moyen de décrédibiliser les autres sans avoir à discuter.

  9. #9
    Modérateur

    Citation Envoyé par Zefling Voir le message
    Java 5~7, pour les même raisons.
    Pareil
    Labor improbus omnia vincit un travail acharné vient à bout de tout - Ambroise Paré (1510-1590)

    Consulter sans modération la FAQ ainsi que les bons ouvrages : http://jmdoudoux.developpez.com/cour...eloppons/java/

  10. #10
    Membre confirmé
    Citation Envoyé par Freeman656 Voir le message
    Malheureusement, encore beaucoup de contraintes dans les banques qui nous empêchent de monter en version rapidement...
    Pas que les banques

    Java 7 à cause d'un plugin Maven qui ne passe pas le Java 8. Du coup ça bloque la migration de toutes les autres appli vu qu'on utilise un seul JDK (par choix) pour tous les projets.
    Pour info le plugin c'est webstart-maven-plugin.

    J'ai ce problème j'aimerais bien faire du Java 8.

  11. #11
    Membre actif
    Java 7 pour du développement Android. J'ai vraiment hâte que Java 8 soit supporté, certaines bibliothèques utilisent les lambdas de manière très élégante.

  12. #12
    Membre averti
    Java 7 parce que je travaille avec Debian 7 et Ubuntu 14.04 et que le java 8 n'est pas encore disponible sans les dépôts officiels.

  13. #13
    Membre habitué
    Citation Envoyé par Shepard Voir le message
    Une amie à moi travaille dans les systèmes informatiques bancaires (belges), elle a été diplômée il y a deux ans et travaille actuellement en Cobol
    Oui, mais ce heureusement n'est pas généralisé.

    Je travaille pour une banque et on a passé le projet sous Java 8. Il a juste fallu attendre la version de JBoss EAP qui le supportait.

    J'ai travaillé pour 2 autres (grandes) banques et elles terminent de migrer / ont migré tout leur Cobrol, comme on dit en belge, vers Java.

  14. #14
    Responsable Java

    Salut,

    Je constate qu'il y a encore pas mal d'utilisateur de Java 6. Perso, j'ai migré cette année de Java 6 à Java 8. La raison principale c'est les bibliothèques tierces qui après mises à jour demandent un minimum de Java 7 (JaxRS par exemple).

    Mickael
    Responsable Java de Developpez.com (Twitter et Facebook)
    Besoin d"un article/tutoriel/cours sur Java, consulter la page cours
    N'hésitez pas à consulter la FAQ Java et à poser vos questions sur les forums d'entraide Java
    --------
    Ingénieur de Recherche en informatique au LIAS / ISAE-ENSMA
    Page de Developpez.com : mbaron.developpez.com
    Twitter : www.twitter.com/mickaelbaron
    Blog : mickael-baron.fr
    LinkedIn : www.linkedin.com/in/mickaelbaron
    DBLP : dblp.uni-trier.de/pers/hd/b/Baron:Micka=euml=l

  15. #15
    Modérateur

    Pour nous, java 7... hélas...
    Je passerais bien à java 8 mais le serveur JBoss7 n'étant pas compatible et que nos applications coincent avec JBoss9, ce n'est pas à l'ordre du jour.
    N'oubliez pas de consulter les FAQ Java et les cours et tutoriels Java

  16. #16
    Nouveau membre du Club
    Java 7 principalement en plus de java 6 pour des développements de maintenance

###raw>template_hook.ano_emploi###